Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOBBNode Class Reference

`#include <vtkOBBTree.h>`

Collaboration diagram for vtkOBBNode:

[legend]
List of all members.

## Public Methods

| vtkOBBNode ()
| ~vtkOBBNode ()
void | DebugPrintTree (int level, double *leaf_vol, int *minCells, int *maxCells)

## Public Attributes

float | Corner [3]
float | Axes [3][3]
vtkOBBNode * | Parent
vtkOBBNode ** | Kids
vtkIdList * | Cells

## Constructor & Destructor Documentation

vtkOBBNode::vtkOBBNode | ( |  | ) |

vtkOBBNode::~vtkOBBNode | ( |  | ) |

## Member Function Documentation

void vtkOBBNode::DebugPrintTree | ( | int | level,
|  | double * | leaf_vol,
|  | int * | minCells,
|  | int * | maxCells
| ) |

## Member Data Documentation

float vtkOBBNode::Corner[3]

| Definition at line 87 of file vtkOBBTree.h.

float vtkOBBNode::Axes[3][3]

| Definition at line 88 of file vtkOBBTree.h.

vtkOBBNode* vtkOBBNode::Parent

| Definition at line 89 of file vtkOBBTree.h.

vtkOBBNode** vtkOBBNode::Kids

| Definition at line 90 of file vtkOBBTree.h.

vtkIdList* vtkOBBNode::Cells

| Definition at line 91 of file vtkOBBTree.h.

The documentation for this class was generated from the following file:

- Graphics/vtkOBBTree.h